# Interface InterfaceConfig

interface InterfaceConfig {
custom ?: MappingLayout ;
default : MappingLayout ;
deviceMapping : DeviceMapping ;
icons : IconsMapping ;
padID : string;
padType : string;
settings : SettingMapping ;
}

- Defined in src/inputs-controller.ts:41

#####
Index

### Properties

custom?
default
deviceMapping
icons
padID
padType
settings

## Properties

### `Optional` custom

custom?: MappingLayout

- Defined in src/inputs-controller.ts:48

### default

default: MappingLayout

- Defined in src/inputs-controller.ts:47

### deviceMapping

deviceMapping: DeviceMapping

- Defined in src/inputs-controller.ts:44

### icons

icons: IconsMapping

- Defined in src/inputs-controller.ts:45

### padID

padID: string

- Defined in src/inputs-controller.ts:42

### padType

padType: string

- Defined in src/inputs-controller.ts:43

### settings

settings: SettingMapping

- Defined in src/inputs-controller.ts:46